#ifndef EVENTS_H_
#define EVENTS_H_

#include <stdint.h>
#include "task.h"

struct TaskTree* event_list_head();
struct TaskTree* event_list_next(struct TaskTree* e);
void remove_event(struct TaskTree* e);

void register_events(struct MTask* t, struct TaskTree* tt);
void deregister_events(struct MTask* t, struct TaskTree* tt);

#endif /* EVENTS_H_ */
